サポート » バグ報告と提案 » 【対処法求む】WordPress 5.2 WordPress がプラグイン Facebook to WordPress でエラーを捉えました。

  • WordPress 5.2にアップロードしてから定期的にこちらのメッセージが届くようになりました。

    「WordPress 5.2から、サイトでプラグインやテーマが致命的なエラーを発生させた場合にそれを検知してこの自動メールでお知らせする機能が追加されました。

    今回の場合、WordPress がプラグイン Facebook to WordPress でエラーを捉えました」

    詳細はみると、

    エラー詳細
    ===============
    エラータイプ E_ERROR が /home/users/1/lolipop.jp/web/example/wp-content/plugins/facebook-to-wp/facebook-to-wp.php ファイルの 100 行目で発生しました。
    エラーメッセージ: Uncaught ArgumentCountError: Too few arguments to function f2w_post(), 0 passed in /home/users/1/lolipop.jp/web/example/wp-includes/class-wp-hook.php on line 286 and exactly 1 expected in /home/users/1/web/example/wp-content/plugins/facebook-to-wp/facebook-to-wp.php:100
    Stack trace:
    #0 /home/users/1/lolipop.jp/web/example/wp-includes/class-wp-hook.php(286): f2w_post()
    #1 /home/users/1/lolipop.jp/web/example/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(”, Array)
    #2 /home/users/1/lolipop.jp/web/example/wp-includes/plugin.php(531): WP_Hook->do_action(Array)
    #3 /home/users/1/lolipop.jp/web/example/wp-cron.php(133): do_action_ref_array(‘f2w_cron’, Array)
    #4 {main}
    thrown

    対処法を教えて下さい。

    よろしくお願いします。

    ヘルプの必要なページ: [リンクを見るにはログイン]

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • CG

    (@du-bist-der-lenz)

    いままでは動作していたのかどうか。「Facebook to WordPress」プラグインが現在のWordPressバージョンとあってないのでしょう。「WordPress 5.2にアップロードしてから」ということですから、バグだとするのはどうでしょう。無用に思えます。

    いつもありがとうございます。

    なるほど。

    一旦、停止をして様子を見てみます。

    WordPress5.2にアップデートするためにロリポップのコントロールパネルからPHPのバージョンを7.xにアップグレードされたので、facebook to wordpressプラグインがエラーを出してます。

    phpのバージョンを5.6にすれば動くと思いますが、6年も更新されていないプラグインを使い続けるのは止めたほうがよろしいかと思います。
    https://wordpress.org/plugins/facebook-to-wp/

3件の返信を表示中 - 1 - 3件目 (全3件中)
  • このトピックに返信するにはログインが必要です。